gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Objects.ZlibCompressor

Contents

- Exported types
- Methods
  - getFileInfo
  - new
  - setFileInfo
- Properties
  - fileInfo
  - format
  - level

Description

`GZlibCompressor` is an implementation of `Converter` that compresses data using zlib.

Synopsis

- newtype ZlibCompressor = ZlibCompressor (ManagedPtr ZlibCompressor)
- class (GObject o, IsDescendantOf ZlibCompressor o) => IsZlibCompressor o
- toZlibCompressor :: (MonadIO m, IsZlibCompressor o) => o -> m ZlibCompressor
- zlibCompressorGetFileInfo :: (HasCallStack, MonadIO m, IsZlibCompressor a) => a -> m (Maybe FileInfo)
- zlibCompressorNew :: (HasCallStack, MonadIO m) => ZlibCompressorFormat -> Int32 -> m ZlibCompressor
- zlibCompressorSetFileInfo :: (HasCallStack, MonadIO m, IsZlibCompressor a, IsFileInfo b) => a -> Maybe b -> m ()
- clearZlibCompressorFileInfo :: (MonadIO m, IsZlibCompressor o) => o -> m ()
- constructZlibCompressorFileInfo :: (IsZlibCompressor o, MonadIO m, IsFileInfo a) => a -> m (GValueConstruct o)
- getZlibCompressorFileInfo :: (MonadIO m, IsZlibCompressor o) => o -> m (Maybe FileInfo)
- setZlibCompressorFileInfo :: (MonadIO m, IsZlibCompressor o, IsFileInfo a) => o -> a -> m ()
- constructZlibCompressorFormat :: (IsZlibCompressor o, MonadIO m) => ZlibCompressorFormat -> m (GValueConstruct o)
- getZlibCompressorFormat :: (MonadIO m, IsZlibCompressor o) => o -> m ZlibCompressorFormat
- constructZlibCompressorLevel :: (IsZlibCompressor o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getZlibCompressorLevel :: (MonadIO m, IsZlibCompressor o) => o -> m Int32

# Exported types

newtype ZlibCompressor Source #

Memory-managed wrapper type.

Constructors

ZlibCompressor (ManagedPtr ZlibCompressor) |

#### Instances

Instances details

Eq ZlibCompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibCompressor Methods (==) :: ZlibCompressor -> ZlibCompressor -> Bool Source # (/=) :: ZlibCompressor -> ZlibCompressor -> Bool Source #
GObject ZlibCompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibCompressor
ManagedPtrNewtype ZlibCompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibCompressor Methods toManagedPtr :: ZlibCompressor -> ManagedPtr ZlibCompressor Source #
TypedObject ZlibCompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibCompressor Methods glibType :: IO GType Source #
HasParentTypes ZlibCompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibCompressor
IsGValue (Maybe ZlibCompressor) Source # | Convert `ZlibCompressor` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.ZlibCompressor Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ZlibCompressor -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ZlibCompressor) Source #
type ParentTypes ZlibCompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibCompressor type ParentTypes ZlibCompressor = '[Object, Converter]

class (GObject o, IsDescendantOf ZlibCompressor o) => IsZlibCompressor o Source #

Type class for types which can be safely cast to `ZlibCompressor`, for instance with `toZlibCompressor`.

#### Instances

Instances details

(GObject o, IsDescendantOf ZlibCompressor o) => IsZlibCompressor o Source # |
Instance details Defined in GI.Gio.Objects.ZlibCompressor

toZlibCompressor :: (MonadIO m, IsZlibCompressor o) => o -> m ZlibCompressor Source #

Cast to `ZlibCompressor`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, convert, convertBytes, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, reset, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getFileInfo, getProperty, getQdata.

#### Setters

setData, setDataFull, setFileInfo, setProperty.

## getFileInfo

zlibCompressorGetFileInfo Source #

Arguments

:: (HasCallStack, MonadIO m, IsZlibCompressor a) |
=> a | `compressor`: a `ZlibCompressor`
-> m (Maybe FileInfo) | Returns: a `FileInfo`, or `Nothing`

Returns the ZlibCompressor:fileInfo property.

Since: 2.26

## new

zlibCompressorNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ZlibCompressorFormat | `format`: The format to use for the compressed data
-> Int32 | `level`: compression level (0-9), -1 for default
-> m ZlibCompressor | Returns: a new `ZlibCompressor`

Creates a new `ZlibCompressor`.

Since: 2.24

## setFileInfo

zlibCompressorSetFileInfo Source #

Arguments

:: (HasCallStack, MonadIO m, IsZlibCompressor a, IsFileInfo b) |
=> a | `compressor`: a `ZlibCompressor`
-> Maybe b | `fileInfo`: a `FileInfo`
-> m () |

Sets `fileInfo` in `compressor`. If non-`Nothing`, and `compressor`'s ZlibCompressor:format property is `ZlibCompressorFormatGzip`, it will be used to set the file name and modification time in the GZIP header of the compressed data.

Note: it is an error to call this function while a compression is in progress; it may only be called immediately after creation of `compressor`, or after resetting it with `converterReset`.

Since: 2.26

# Properties

## fileInfo

If set to a non-`Nothing` `FileInfo` object, and ZlibCompressor:format is `ZlibCompressorFormatGzip`, the compressor will write the file name and modification time from the file info to the GZIP header.

Since: 2.26

clearZlibCompressorFileInfo :: (MonadIO m, IsZlibCompressor o) => o -> m () Source #

Set the value of the “`file-info`” property to `Nothing`. When overloading is enabled, this is equivalent to

    clear #fileInfo

constructZlibCompressorFileInfo :: (IsZlibCompressor o, MonadIO m, IsFileInfo a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`file-info`” property. This is rarely needed directly, but it is used by `new`.

getZlibCompressorFileInfo :: (MonadIO m, IsZlibCompressor o) => o -> m (Maybe FileInfo) Source #

Get the value of the “`file-info`” property. When overloading is enabled, this is equivalent to

    get zlibCompressor #fileInfo

setZlibCompressorFileInfo :: (MonadIO m, IsZlibCompressor o, IsFileInfo a) => o -> a -> m () Source #

Set the value of the “`file-info`” property. When overloading is enabled, this is equivalent to

    set zlibCompressor [ #fileInfo := value ]

## format

The format of the compressed data.

Since: 2.24

constructZlibCompressorFormat :: (IsZlibCompressor o, MonadIO m) => ZlibCompressorFormat -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`format`” property. This is rarely needed directly, but it is used by `new`.

getZlibCompressorFormat :: (MonadIO m, IsZlibCompressor o) => o -> m ZlibCompressorFormat Source #

Get the value of the “`format`” property. When overloading is enabled, this is equivalent to

    get zlibCompressor #format

## level

The level of compression from `0` (no compression) to `9` (most compression). `-1` for the default level.

Since: 2.24

constructZlibCompressorLevel :: (IsZlibCompressor o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`level`” property. This is rarely needed directly, but it is used by `new`.

getZlibCompressorLevel :: (MonadIO m, IsZlibCompressor o) => o -> m Int32 Source #

Get the value of the “`level`” property. When overloading is enabled, this is equivalent to

    get zlibCompressor #level